# GLM: glm::gtx::normal Namespace Reference

# glm::gtx::normal Namespace Reference

GLM_GTX_normal extension: Compute the normal of a triangle. More...

## Functions

template<typename T >
detail::tvec3< T > | triangleNormal (detail::tvec3< T > const &p1, detail::tvec3< T > const &p2, detail::tvec3< T > const &p3)
| Computes triangle normal from triangle points.

## Detailed Description

GLM_GTX_normal extension: Compute the normal of a triangle.

## Function Documentation

detail::tvec3<T> glm::gtx::normal::triangleNormal | ( | detail::tvec3< T > const & | p1,
|  | detail::tvec3< T > const & | p2,
|  | detail::tvec3< T > const & | p3 |
| ) |  |  |

Computes triangle normal from triangle points.

From GLM_GTX_normal extension.